<?php
##################################################################
## Title........: PMS Notify
##################################################################
## Description..: Module to check for unread PMs of PMS enhanced
## Author.......: Stefan Klingner
## Version......: 1.0.2
## Created......: 22.02.2007
## Contact......: pms@stefan-klingner.de
## License......: GNU/GPL
## Note.........: This script is part of PMS Notify package
##################################################################
## modified by user860
## for cb_profilebook
## in March 2008
##################################################################

defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

define('PMS_BASEPATH_ADMINISTRATOR', dirname(__FILE__).'/../administrator/components/com_pms');
define('PMSNOTIFY_BASEPATH', dirname(__FILE__));

$my_id = $my->id;

$message = $params->get('message');
$inbox = $params->get('inbox');
$sent_items = $params->get('sent_items');
$trash = $params->get('trash');
$write = $params->get('write');
$cbgb = $params->get('cbgb');


require_once(PMS_BASEPATH_ADMINISTRATOR.'/config.pms.php');

if(file_exists(PMSNOTIFY_BASEPATH.'/mod_pmsnotify/language/'.$mosConfig_lang.'.php')) require_once(PMSNOTIFY_BASEPATH.'/mod_pmsnotify/language/'.$mosConfig_lang.'.php');
else require_once(PMSNOTIFY_BASEPATH.'/mod_pmsnotify/language/english.php');

if(file_exists(PMS_BASEPATH_ADMINISTRATOR.'/language/'.$mosConfig_lang.'.php')) require_once(PMS_BASEPATH_ADMINISTRATOR.'/language/'.$mosConfig_lang.'.php');
else require_once(PMS_BASEPATH_ADMINISTRATOR.'/language/english.php');

// get menu-id for PMS-component
$database->setQuery("SELECT id FROM #__menu WHERE link='index.php?option=com_pms' AND published>=1 LIMIT 1");
$pms_menuid = $database->loadResult();

//get Itemid of PMS enhanced
$database->setQuery("SELECT t1.id FROM #__menu AS t1, #__components AS t2 WHERE t1.componentid=t2.id AND t1.link='index.php?option=com_pms' AND t2.link='option=com_pms' AND t1.published=1");
$pms_itemid = $database->loadResult();

echo '<form action="mod_pmsnotify.php" method="post" name="pmsnotify">';

if($message)
{
	// check for unread PMs
	$database->setQuery("SELECT count(id) FROM #__pms WHERE recip_id=$my_id AND readstate%2=0 AND inbox=1");
	$unread = $database->loadResult();
	if($unread==0) echo '<a href="index.php?option=com_pms&Itemid='.$pms_itemid.'">'._PMSNOTIFY_MODULE_TEXT.' '.$unread.' <img src="./modules/mod_pmsnotify/images/no_new_pm.png" border="0" /></a>';
	else echo '<a href="index.php?option=com_pms&Itemid='.$pms_itemid.'">'._PMSNOTIFY_MODULE_TEXT.' '.$unread.' <img src="./modules/mod_pmsnotify/images/new_pm.gif" border="0" /></a>';
	#echo '</form>';
}
if(($inbox OR $sent_items OR $trash OR $write) AND $message) echo '<br /><br />';
if($inbox)
{
	// check how many PMs are in the inbox
	$database->setQuery("SELECT count(t1.id) FROM #__pms AS t1, #__users AS t2 WHERE t1.recip_id=$my_id AND inbox=1 AND t1.sender_id=t2.id");
	$pm_in_inbox = $database->loadResult();
	echo '<a href="index.php?option=com_pms&Itemid='.$pms_menuid.'&page=inbox" title="'._PMS_INBOX.'"><img src="./modules/mod_pmsnotify/images/inbox.png" border="0" alt="'._PMS_INBOX.'" />&nbsp;'._PMS_INBOX.'&nbsp;('.$pm_in_inbox.')</a><br />';
}
if($sent_items)
{
	// check how many PMs are in the sent items
	$database->setQuery("SELECT count(t1.id) FROM #__pms AS t1, #__users AS t2 WHERE t1.sender_id=$my_id AND sent_items=1 AND t1.recip_id=t2.id");
	$pm_in_sent_items = $database->loadResult();
	echo '<a href="index.php?option=com_pms&Itemid='.$pms_menuid.'&page=sent_items" title="'._PMS_SENT_ITEMS.'"><img src="./modules/mod_pmsnotify/images/sent_items.png" border="0" alt="'._PMS_SENT_ITEMS.'" />&nbsp;'._PMS_SENT_ITEMS.'&nbsp;('.$pm_in_sent_items.')</a><br />';
}
if($trash)
{
	// check how many PMs are in the trash
	$database->setQuery("SELECT count(t1.id) FROM #__pms AS t1, #__users AS t2 WHERE (t1.recip_id=$my_id AND t1.inbox=0 AND t1.sender_id=t2.id) OR (t1.sender_id=$my_id AND t1.sent_items=0 AND t1.recip_id=t2.id)");
	$pm_in_trash = $database->loadResult();
	echo '<a href="index.php?option=com_pms&Itemid='.$pms_menuid.'&page=trash" title="'._PMS_TRASH.'"><img src="./modules/mod_pmsnotify/images/trash.png" border="0" alt="'._PMS_TRASH.'" />&nbsp;'._PMS_TRASH.'&nbsp;('.$pm_in_trash.')</a><br />';
}
if($write)
{
	echo '<a href="index.php?option=com_pms&Itemid='.$pms_menuid.'&page=new" title="'._PMS_WRITE.'"><img src="./modules/mod_pmsnotify/images/write.png" border="0" alt="'._PMS_WRITE.'" />&nbsp;'._PMS_WRITE.'</a>';
}
if ($cbgb)
{
	// check for unread GBs (cb_profilebook)
	$publishedgb=0;
	$database->setQuery("SELECT count(id) FROM #__comprofiler_plugin WHERE folder='plug_cbprofilebook' AND published='1'");
	$publishedgb = $database->loadResult();
	if ($publishedgb==1)
	{
	$database->setQuery("SELECT count(id) FROM #__comprofiler_plug_profilebook WHERE userid=$my_id AND status=0");
	$unreadgb = $database->loadResult();
	echo '<a href="index.php?option=com_comprofiler" title="'."New GB Entries".'"><img src="./modules/mod_pmsnotify/images/inbox.png" border="0" alt="'."New GB Entries".'" />&nbsp;'."New GB Entries".'&nbsp;('.$unreadgb.')</a><br />';
	}
	#echo '</form>';
}



echo '</form>';

?>